## fwknop 1.9.12

=== Makefile ===
#
##########################################################################
#
#  Author: Michael Rash (mbr@cipherdyne.org)
#
#  Version: 0.1
#
#  Copyright (C) 2004-2006 Michael Rash (mbr@cipherdyne.org)
#
#  License (GNU Public License):
#
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with this program; if not, write to the Free Software
#     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
#     USA
#
##########################################################################
#
#  $Id: Makefile 1201 2008-08-13 02:03:02Z mbr $
#

OPTS = -Wall -O

### default
all : knopmd.c knopwatchd.c fwknop_funcs.c strlcpy.c strlcat.c fwknop.h
	/usr/bin/gcc $(OPTS) knopmd.c fwknop_funcs.c strlcpy.c strlcat.c -o knopmd
	/usr/bin/gcc $(OPTS) knopwatchd.c fwknop_funcs.c strlcpy.c strlcat.c -o knopwatchd

### debug mode
debug : knopmd.c knopwatchd.c fwknop_funcs.c strlcpy.c strlcat.c fwknop.h
	/usr/bin/gcc -Wall -g -DDEBUG knopmd.c fwknop_funcs.c strlcpy.c strlcat.c -o knopmd
	/usr/bin/gcc -Wall -g -DDEBUG knopwatchd.c fwknop_funcs.c strlcpy.c strlcat.c -o knopwatchd

#install : knopmd
#	if [ -x knopmd ]; then \
#		/bin/cp knopmd /usr/sbin/knopmd

clean :
	if [ -f a.out ]; then rm a.out; fi
	if [ -f core ]; then rm core; fi
	if [ -f knopmd ]; then rm knopmd; fi
	if [ -f knopwatchd ]; then rm knopwatchd; fi

=== debian/changelog ===
fwknop (1.9.12-2) unstable; urgency=low

  * Refreshed maintainer email address:
    + d.control: Updated email address and removed DM-Upload-Allowed flag.
    + d.copyright: Refreshed email address.
  * initscript:
    + Fixed the Provide target in fwknop-server initscript:
      http://lintian.debian.org/tags/init.d-script-does-not-provide-itself.html
    + Added dependency against lsb-base (>= 3.0-6) to ensure the
      /lib/lsb/init-functions can be sourced through the initscript.
  * Added Spanish debconf translation. (Closes: #582870)
  * Updated Depends field in d.control to use default-mta rather than exim4.
  * Switched to dpkg-source 3.0 (quilt) format.
  * Added t_upstream_spelling.diff patch to fix spelling erros.
  * Bumped up Standards-Version to 3.9.0 (no changes).
  * Refreshed d.copyright to follow the latest DEP5.

 -- Franck Joncourt <franck@debian.org>  Wed, 07 Jul 2010 21:50:16 +0200

fwknop (1.9.12-1) unstable; urgency=low

  * New Upstream Version
  * Removed [code] tags from README.Debian. All code blocks are now indented.
  * Bumped up Standards-Version to 3.8.3 (no change).
  * Updated copyright years in d.changelog.
  * Updated comments in:
      + d.fwknop-server.config
      + d.fwknop-server.default
      + d.README.Debian
  * Included czech debconf translation. (Closes: #535984)
  * d.fwknop-server.config does not pass -e to the shell on the #! line anymore,
    but set it in the body of the script with set -e (Debian Policy 10.4).

 -- Franck Joncourt <franck.mail@dthconnex.com>  Wed, 09 Sep 2009 21:08:42 +0200

fwknop (1.9.11-1) unstable; urgency=low

  * New Upstream Version.
  * Set default value for variables in /etc/default/fwknop-server
    (Closes: #521677)
  * As /var/run can be a temporary filesystem, this one should be created
    when running the initscript.
    http://lintian.debian.org/tags/dir-or-file-in-var-run.html
  * Bumped up Standards-Version to 3.8.1.
    + d.rules: Handle the noopt option through the DEB_BUILD_OPTIONS variable.

 -- Franck Joncourt <franck.mail@dthconnex.com>  Sun, 17 May 2009 11:31:20 +0200

fwknop (1.9.10-2) unstable; urgency=low

   * Added quilt framework along with README.source
   * Added patch to fwknopd in order to bypass #508432.
     Thanks to Martin Ferrari.

 -- Franck Joncourt <franck.mail@dthconnex.com>  Mon, 23 Feb 2009 22:04:56 +0100

fwknop (1.9.10-1) unstable; urgency=low

  * New Upstream Version
  * The sendmail command is now handled by knopwatchd. (Closes: #506819)
  * Fixed "Setting ALERTING_METHODS to noemail reports an error".
    (Closes: #506815)

 -- Franck Joncourt <franck.mail@dthconnex.com>  Wed, 14 Jan 2009 21:11:17 +0100

fwknop (1.9.9-1) unstable; urgency=low

  * New Upstream Version
  * Fixed typo in fwknop-server init-script. (Closes: #504665)
  * Added DAEMON_ARGS variable to allow users to pass specifics options to
    the daemon. (Closes: #504666)
  * Adjusted priority from optional to extra.
    (Fwknop has some dependencies on packages whose priority is extra)
  * Fixed dependency on the mail command. (Closes: #504670)

 -- Franck Joncourt <franck.mail@dthconnex.com>  Sat, 15 Nov 2008 14:44:08 +0100

fwknop (1.9.8-1) unstable; urgency=low

  * Initial release (Closes: #406627) 
  * Includes fr debconf translation (Closes: #500655)

 -- Franck Joncourt <franck.mail@dthconnex.com>  Sun, 02 Oct 2008 19:32:55 +0200

=== debian/control ===
Source: fwknop
Section: admin
Priority: extra
Build-Depends: debhelper (>= 7), po-debconf
Maintainer: Franck Joncourt <franck@debian.org>
Standards-Version: 3.9.0
Vcs-git: git://git.debian.org/git/collab-maint/fwknop.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fwknop.git;a=summary
Homepage: http://www.cipherdyne.com/fwknop/

Package: fwknop-server
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, iptables,
 libunix-syslog-perl, libnet-rawip-perl, libnet-pcap-perl (>= 0.04-3),
 libgnupg-interface-perl, libdigest-sha-perl, libcrypt-rijndael-perl,
 libcrypt-cbc-perl, libterm-readkey-perl, libnetwork-ipv4addr-perl,
 libiptables-parse-perl, libiptables-chainmgr-perl,
 default-mta | mail-transport-agent, lsb-base (>= 3.0-6)
Description: FireWall KNock OPerator server side
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, thus preventing any connections from being processed on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected.

Package: fwknop-client
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libnet-rawip-perl,
 libgnupg-interface-perl, libdigest-sha-perl, libcrypt-rijndael-perl,
 libcrypt-cbc-perl, libterm-readkey-perl, libnet-ping-external-perl
Description: FireWall KNock OPerator client side
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 This is the client program responsible for accepting password input
 from the user, constructing SPA packets that conform to the fwknop
 packet format, and encrypting packet data.

=== debian/rules ===
#!/usr/bin/make -f
  
INSTALL			= install
INSTALL_PROGRAM		= $(INSTALL)
INSTALL_DATA		= $(INSTALL) -m 644
INSTALL_DATA_P		= $(INSTALL) -m 600

SERVER_PROGRAM		= fwknop-server
SERVER_DESTDIR		= $(CURDIR)/debian/$(SERVER_PROGRAM)/
SERVER_DESTDIR_SBIN	= $(CURDIR)/debian/$(SERVER_PROGRAM)/usr/sbin/
SERVER_DESTDIR_BIN	= $(CURDIR)/debian/$(SERVER_PROGRAM)/usr/bin/
SERVER_DESTDIR_ETC	= $(CURDIR)/debian/$(SERVER_PROGRAM)/etc/fwknop/

CLIENT_PROGRAM		= fwknop-client
CLIENT_DESTDIR		= $(CURDIR)/debian/$(CLIENT_PROGRAM)/
CLIENT_DESTDIR_BIN	= $(CURDIR)/debian/$(CLIENT_PROGRAM)/usr/bin/

CFLAGS = -Wall -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif

clean:
	dh_testdir
	dh_testroot
	[ -f Makefile ] && $(MAKE) clean
	dh_clean build-arch-stamp install-arch-stamp install-indep-stamp

build:


build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
	$(MAKE) all OPTS="$(CFLAGS)"
	touch $@

install-indep: install-indep-stamp
install-indep-stamp:
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	
	$(INSTALL_PROGRAM) fwknop $(CLIENT_DESTDIR_BIN)

	touch $@

install-arch: install-arch-stamp
install-arch-stamp:
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a
	
	$(INSTALL_PROGRAM) knopmd $(SERVER_DESTDIR_SBIN)
	$(INSTALL_PROGRAM) knopwatchd $(SERVER_DESTDIR_SBIN)
	$(INSTALL_PROGRAM) fwknopd $(SERVER_DESTDIR_SBIN)
	$(INSTALL_PROGRAM) knoptm $(SERVER_DESTDIR_SBIN)
	$(INSTALL_DATA) fwknop.conf $(SERVER_DESTDIR_ETC)
	$(INSTALL_DATA) pf.os $(SERVER_DESTDIR_ETC)
	$(INSTALL_DATA_P) access.conf $(SERVER_DESTDIR_ETC)
	$(INSTALL_PROGRAM) fwknop_serv $(SERVER_DESTDIR_SBIN)

	touch $@

binary: binary-arch binary-indep
	
binary-indep: install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary-common:
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman
	dh_lintian
	dh_installinit
	dh_strip
	dh_compress
	dh_fixperms --exclude access.conf
	dh_installdeb
	dh_shlibdeps
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: clean build build-arch binary-indep binary-arch binary-common binary

=== debian/watch ===
version=3

http://www.cipherdyne.com/fwknop/download/fwknop-nodeps-(.*)\.tar\.gz debian uupdate

## fwknop 2.0.0rc2

=== extras/openwrt/package/fwknop/Makefile ===
#
# Copyright (C) 2006-2009 OpenWrt.org
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#

include $(TOPDIR)/rules.mk

PKG_NAME:=fwknop
PKG_VERSION:=2.0.0rc1
PKG_RELEASE:=1

PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=http://www.dstuart.org/fwknop/
PKG_MD5SUM:=86c41edbe78bd15e6e5e351741cb26dd

include $(INCLUDE_DIR)/package.mk

PKG_INSTALL=1

define Package/fwknop
  SECTION:=net
  CATEGORY:=Network
  DEPENDS:=+gpgme +libgdbm +libpcap +iptables
  TITLE:=Firewall KNock OPerator - fwknop
  URL:=http://www.cipherdyne.org/fwknop
endef

define Package/fwknop/description
	Fwknop implements an authorization scheme known as Single Packet
	Authorization (SPA) for Linux systems running iptables.  This mechanism
	requires only a single encrypted and non-replayed packet to communicate
	various pieces of information including desired access through an iptables
	policy. The main application of this program is to use iptables in a
	default-drop stance to protect services such as SSH with an additional
	layer of security in order to make the exploitation of vulnerabilities
	(both 0-day and unpatched code) much more difficult.
endef

TARGET_CFLAGS += $(FPIC)

define Build/Configure
	$(call Build/Configure/Default, \
		--enable-shared \
		--enable-static \
		--with-gpgme \
		--with-gpg=/usr/bin/gpg \
		--with-iptables=/usr/sbin/iptables \
		--with-sh=/bin/sh \
	)
endef

define Build/InstallDev
	$(INSTALL_DIR) $(1)/usr/include
	$(INSTALL_DATA) \
		$(PKG_INSTALL_DIR)/usr/include/fko.h \
		$(1)/usr/include/

	$(INSTALL_DIR) $(1)/usr/lib
	$(INSTALL_DATA) \
		$(PKG_INSTALL_DIR)/usr/lib/libfko.{la,a,so*} \
		$(1)/usr/lib/
endef

define Package/fwknop/install
	$(INSTALL_DIR) $(1)/usr/lib
	$(INSTALL_DATA) $(PKG_INSTALL_DIR)/usr/lib/libfko.so.* $(1)/usr/lib/
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/fwknop $(1)/usr/bin/
	$(INSTALL_DIR) $(1)/usr/sbin
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/sbin/fwknopd $(1)/usr/sbin/
	$(INSTALL_DIR) $(1)/etc/fwknop
	$(INSTALL_CONF) $(PKG_INSTALL_DIR)/etc/fwknop/fwknopd.conf $(1)/etc/fwknop/
	$(INSTALL_CONF) $(PKG_INSTALL_DIR)/etc/fwknop/access.conf $(1)/etc/fwknop/
	$(INSTALL_DIR) $(1)/etc/init.d
	$(INSTALL_BIN) ./files/fwknopd.init $(1)/etc/init.d/fwknopd
endef

$(eval $(call BuildPackage,fwknop))

=== debian/changelog ===
fwknop (2.0.0rc2-2+deb7u2) stable-proposed-updates; urgency=low

  * Fixed use of uninitialized variable that leads fwknop to randomly fail
    to send a SPA packet. New patch : 717754.patch (Closes: #717754)

 -- Franck Joncourt <franck@debian.org>  Sat, 27 Jul 2013 22:02:32 +0200

fwknop (2.0.0rc2-2+deb7u1) testing-proposed-updates; urgency=high

  * Patches to fix CVE (Closes: #688151):
    - CVE-2012-4434
    - CVE-2012-4435
    - CVE-2012-4436

 -- Franck Joncourt <franck@debian.org>  Sun, 07 Oct 2012 20:50:09 +0200

fwknop (2.0.0rc2-2) unstable; urgency=low

  * Acknowledged NMU : 1.9.12-3.1
  * Set Architecture as linux-any (Closes: #647654)
  * Fixed mispelling dependency on the default-mta in d.control.
    (Closes: #645024)
  * The brand new C implementation :
    + does not use Perl anymore. (Closes: #674115)
    + does not use the whatismyip url anymore ; it is replace by the
      cipherdyne url at the time. (Closes: #645994)
  * Bumped up Standards-Version to 3.9.3:
    + Refreshed copyright holders and updated d.copyright to comply with the
      1.0 machine-readable copyright file specification.
  * Updated init script to use log_daemon_msg and log_end_msg function from
    the lsb library.
  * Avoid debconf error if not available. (Closes: #673773)

 -- Franck Joncourt <franck@debian.org>  Sun, 24 Jun 2012 20:57:59 +0200

fwknop (2.0.0rc2-1) experimental; urgency=low

  * New upstream release.
    + Drop the Perl implementation which is not shipped anymore.
    + Renamed the C implementation from fwknop-c-{client/server} to
      fwknop-{client/server}.
    + Bumped shared library version up to 0.0.2.
      Refreshed libfko0-dev.links, libfko0.install and libfko0.links
      accordingly.
    + Updated d.rules to not exclude the fwknop-server package when stripping
      the symbols since we have renamed the C version in fwknop-server.
  * Removed Replaces/Conflicts/Provides dependencies for both the
    fwknop-client and fwknop-server in d.control for the old
    fwknop-c-{client/server}. This is not needed anymore.
  * Bumped up Standards-Version to 3.9.1 (no changes).
  * Set copyright and licence information in d.copyright:
    + Added patch licence.patch from upstream to improve copyright statements
      and licence definitions.
  * Added missing debconf support for fwknop-server. Both the
    fwknop-server.postinst and the fwknop-server.postrm are added.
  * Added fwknop-server.preinst to remove old files from the Perl
    implementation (Fwknop 1.9.x).

 -- Franck Joncourt <franck@debian.org>  Sun, 14 Nov 2010 17:12:20 +0100

fwknop (2.0.0rc2~svn281-1) unstable; urgency=low

  * Merge new upstream release
  * Fixed access.conf permission to 600 rather than the default 644 value:
    + Added lintian overrides.
  * Added debian watch.
  * Fixed source url in d.copyright to point to the new place where fwknop is
    stored.
  * Fixed typo in fwknop-c-server.default. The override option is case
    sensitive ans should be written in lower case.

 -- Franck Joncourt <franck@debian.org>  Sat, 14 Aug 2010 13:29:25 +0200

fwknop (2.0.0rc1~svn271-1) unstable; urgency=low

  *  New upstream release.

 -- Franck Joncourt <franck@debian.org>  Sun, 25 Jul 2010 20:55:10 +0200

fwknop (1.9.12-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #630373
    - Dutch; (Jeroen Schot).  Closes: #651829
    - Polish. Closes: #659370

 -- Christian Perrier <bubulle@debian.org>  Sun, 19 Feb 2012 07:22:24 +0100

=== debian/control ===
Source: fwknop
Section: admin
Priority: extra
Build-Depends: debhelper (>= 7.0.50), automake, libtool, libgpgme11-dev,
 texinfo, libpcap0.8-dev, po-debconf, libgdbm-dev, iptables
Maintainer: Franck Joncourt <franck@debian.org>
Standards-Version: 3.9.3
Homepage: http://www.cipherdyne.com/fwknop-c/

Package: libfko0-dev
Architecture: linux-any
Section: libdevel
Provides: libfko-dev
Conflicts: libfko-dev
Depends: ${shlibs:Depends}, libfko0 (= ${binary:Version}), ${misc:Depends},
 dpkg (>= 1.15.4) | install-info
Description: development library and header files for libfko
 The original fwknop is implemented in Perl. The libfko library is an
 implementation of the fwknop back-end data processing routines written in C
 as part of the project to move all of fwknop to C.
 .
 See the libfko documentation for additional information on usage and the
 functionality provided by libfko. More information on SPA and fwknop can be
 found at http://www.cipherdyne.org/fwknop.
 .
 This package contains the development library and its headers.

Package: libfko0-dbg
Architecture: linux-any
Section: debug
Depends: libfko0 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbol for the libfko library
 The original fwknop is implemented in Perl. The libfko library is an
 implementation of the fwknop back-end data processing routines written in C
 as part of the project to move all of fwknop to C.
 .
 See the libfko documentation for additional information on usage and the
 functionality provided by libfko. More information on SPA and fwknop can be
 found at http://www.cipherdyne.org/fwknop.
 .
 This package provides the debugging symbols for the library as well as for
 the fwknop server and client programs (C version only).

Package: libfko0
Section: libs
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: system interface for user-level fko management
 The original fwknop is implemented in Perl. The libfko library is an
 implementation of the fwknop back-end data processing routines written in C
 as part of the project to move all of fwknop to C.
 .
 See the libfko documentation for additional information on usage and the
 functionality provided by libfko. More information on SPA and fwknop can be
 found at http://www.cipherdyne.org/fwknop.
 .
 This is the shared library.

Package: fwknop-server
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfko0 (= ${binary:Version}),
 default-mta | mail-transport-agent, iptables, lsb-base (>= 3.0-6)
Description: FireWall KNock OPerator server side - C version
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, thus preventing any connections from being processed on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected.

Package: fwknop-client
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfko0 (= ${binary:Version})
Description: FireWall KNock OPerator client side - C version
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 This is the client program responsible for accepting password input
 from the user, constructing SPA packets that conform to the fwknop
 packet format, and encrypting packet data.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --build $(DEB_HOST_GNU_TYPE)
else
    confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

%:
	dh $@

override_dh_auto_configure:
	chmod +x ./debian/autogen.sh
	./debian/autogen.sh
	dh_auto_configure -- $(confflags) --with-gpgme

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS)"

override_dh_fixperms:
	chmod 600 $(CURDIR)/debian/fwknop-server/etc/fwknop/access.conf
	dh_fixperms --exclude access.conf

override_dh_strip:
	dh_strip --dbg-package=libfko0-dbg

## fwknop 2.0.3

=== debian/changelog ===
fwknop (2.0.3-2ubuntu1) raring; urgency=low

  * Add upstart support. (LP: #1051958)

 -- Christian Kampka <chris@emerge-life.de>  Mon, 17 Sep 2012 15:11:15 +0200

fwknop (2.0.3-2) unstable; urgency=low

  * Updated package description in d.control.
  * Removed the overwrite_dh_auto_build target in d.rules which set the CFLAGS
    to make but did not set the LDFLAGS accordingly.
    Removed the hardening stanzas in d.rules which become useless.
    The debhelpers scripts honour the DEB_BUILD_OPTIONS (noopt, nocheck...) by
    themselves.
    (Closes: #689064)
  * Added override_dh_auto_clean target in d.rules to remove the m4 directory
    during the clean step.

 -- Franck Joncourt <franck@debian.org>  Fri, 09 Nov 2012 15:12:58 +0100

fwknop (2.0.3-1) unstable; urgency=low

  * Imported Upstream version 2.0.3
    * Fixed CVE 2012-4434, 4435, 4436 (Closes: #688151)
  * Removed overwrite on dh_install in d.rules to use the previous
    configuration files. Upstream fixed the previous behaviour.

 -- Franck Joncourt <franck@debian.org>  Fri, 21 Sep 2012 22:31:08 +0200

fwknop (2.0.2-1) unstable; urgency=low

  * Imported Upstream version 2.0.2
  * Removed previous patches applied upstream.
  * Set debian compatibility to 9 in d.compat.
  * Fixed libfko0.symbols file which contains bad symbols from one of the
    first rc releases. The following functions have been removed:
    - _rijndael_decrypt
    - _rijndael_encrypt
    - append_b64
    - digest_to_hex
    - get_random_data
    - gpg_decrypt
    - gpg_encrypt
    - rij_salt_and_iv
    - rijndael_init
  * Added previously removed fileds in d.control (Vcs-git/Vcs-Browser)
    (Closes: #682057)
  * Created missing m4 directory before configuring the package.
  * Use of the hardening flags:
    - Added BD on dpkg-dev (>= 1.16.1~) and on debhelper (>= 9) in d.control.
    - Set debian compatibility to 9 in d.compat.
    - Set hardening flags through the DEB_BUILD_MAINT_OPTIONS variable,
      exported it and included buildflags.mk in d.rules.
    - Do not overwrite CFLAGS anymore, we now use CFLAGS += in d.rules.
  * Enable installation of multiarch binaries :
    - Added Pre-Depends: ${misc:Pre-Depends} for the libfko package in
      d.control.
    - Replaced occurrences of /usr/lib/ in debian/*.install with /usr/lib/*/.
  * Fixed d.rules to handle the new generated configuration files 
    [access|fwknopd].conf.inst. We revert upstream changes with an overwrite
    on dh_install.
  * Updating fwknop-server.postinst to disable easy setup.

 -- Franck Joncourt <franck@debian.org>  Sun, 26 Aug 2012 22:45:00 +0200

fwknop (2.0.0rc2-2) sid; urgency=low

  * Acknowledged NMU : 1.9.12-3.1
  * Set Architecture as linux-any (Closes: #647654)
  * Fixed mispelling dependency on the default-mta in d.control.
    (Closes: #645024)
  * The brand new C implementation :
    + does not use Perl anymore. (Closes: #674115)
    + does not use the whatismyip url anymore ; it is replace by the
      cipherdyne url at the time. (Closes: #645994)
  * Bumped up Standards-Version to 3.9.3:
    + Refreshed copyright holders and updated d.copyright to comply with the
      1.0 machine-readable copyright file specification.
  * Updated init script to use log_daemon_msg and log_end_msg function from
    the lsb library.
  * Avoid debconf error if not available. (Closes: #673773)

 -- Franck Joncourt <franck@debian.org>  Sun, 24 Jun 2012 20:57:59 +0200

=== debian/control ===
Source: fwknop
Section: admin
Priority: extra
Build-Depends: debhelper (>= 9), automake, libtool, libgpgme11-dev,
 texinfo, libpcap0.8-dev, po-debconf, libgdbm-dev, iptables,
 dpkg-dev (>= 1.16.1~)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Franck Joncourt <franck@debian.org>
Standards-Version: 3.9.3
Vcs-git: git://git.debian.org/git/collab-maint/fwknop.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fwknop.git
Homepage: http://www.cipherdyne.com/fwknop/

Package: libfko0-dev
Architecture: linux-any
Section: libdevel
Provides: libfko-dev
Conflicts: libfko-dev
Depends: ${shlibs:Depends}, libfko0 (= ${binary:Version}), ${misc:Depends},
 dpkg (>= 1.15.4) | install-info
Description: development library and header files for libfko
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, thus preventing any connections from being processed on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected.
 .
 This package contains the development library and its headers.

Package: libfko0-dbg
Architecture: linux-any
Section: debug
Depends: libfko0 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbol for the libfko library
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, thus preventing any connections from being processed on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected.
 .
 This package provides the debugging symbols for the libfko library.

Package: libfko0
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: system interface for user-level fko management
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, thus preventing any connections from being processed on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected.
 .
 This package provides the shared library.

Package: fwknop-server
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfko0 (= ${binary:Version}),
 default-mta | mail-transport-agent, iptables, lsb-base (>= 3.0-6)
Description: FireWall KNock OPerator server side - C version
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, thus preventing any connections from being processed on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected.

Package: fwknop-client
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfko0 (= ${binary:Version})
Description: FireWall KNock OPerator client side - C version
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 This is the client program responsible for accepting password input
 from the user, constructing SPA packets that conform to the fwknop
 packet format, and encrypting packet data.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --build $(DEB_HOST_GNU_TYPE)
else
    confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf m4

override_dh_auto_configure:
	mkdir m4
	chmod +x ./debian/autogen.sh
	./debian/autogen.sh
	dh_auto_configure -- $(confflags) --with-gpgme

override_dh_fixperms:
	chmod 600 $(CURDIR)/debian/fwknop-server/etc/fwknop/access.conf
	dh_fixperms --exclude access.conf

override_dh_strip:
	dh_strip --dbg-package=libfko0-dbg

## fwknop 2.0.4

=== debian/changelog ===
fwknop (2.0.4-2) unstable; urgency=low

  * Fixed FTBS ./gpl-2.0.texi:20: raising the section level of @appendixsubsec
    which is too low (Closes: #708589):
    Added patch gpl-2.0.diff to substitute @appendixsubsec entries by
    @appendixsec.

 -- Franck Joncourt <franck@debian.org>  Sun, 19 May 2013 17:55:57 +0200

fwknop (2.0.4-1) unstable; urgency=low

  * Fixed bad permissions for the fwknopd.conf conf file (Closes: #689934)
    - d.rules: Set the permissions for the fwknopd.conf file to 600 and
      prevent dh_fixperms from adjusting them.
    - d.fwknop-server.lintian-overrides: Add an override entry to make sure
      lintian does not complain about the new permissions.
  * Added libfko-doc binary package:
    - d.libfko-doc.docs: Shipped html libfko manual.
    - d.libfko-doc.doc-base: Added doc-base entry for the manual.
    - d.rules: Built the html doc in the overwrite_dh_auto_build target.
  * Added libfko-perl binary package (Closes: #682028):
    - d.rules : Added overwrite_dh_auto_install target to install
      the Perl module.
    - d.control: added new entrey for the libfko-perl package.
  * Bumped up libfko soname because the ABI changed:
    - libfko0-* packages become libfko1-* package.
    - d.libfko.symbols: Updated list of symbols.
  * d.libfko1.links: Removed useless links.
  * Added libfko.so symlink for the dev package as noticed by lintian
    (dev-pkg-without-shlib-symlink).
    - Removed libfko1-dev.links file.
    - d.rules: Added new target overwrite_dh_link to link libfko.so.1.0.0
      to libfko.so.
  * Added upstart configuration file: fwknop-server.upstart

 -- Franck Joncourt <franck@debian.org>  Sun, 23 Dec 2012 17:57:55 +0100

=== debian/control ===
Source: fwknop
Section: admin
Priority: extra
Build-Depends: debhelper (>= 9), automake, libtool, libgpgme11-dev,
 texinfo, libpcap0.8-dev, po-debconf, libgdbm-dev, iptables,
 dpkg-dev (>= 1.16.1~), chrpath
Maintainer: Franck Joncourt <franck@debian.org>
Standards-Version: 3.9.3
Vcs-git: git://git.debian.org/git/collab-maint/fwknop.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fwknop.git
Homepage: http://www.cipherdyne.com/fwknop/

Package: libfko1-dev
Architecture: linux-any
Section: libdevel
Provides: libfko-dev
Conflicts: libfko-dev
Suggests: libfko-doc
Depends: ${shlibs:Depends}, libfko1 (= ${binary:Version}), ${misc:Depends},
 dpkg (>= 1.15.4) | install-info
Description: FireWall KNock OPerator - developpement library
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, so there is no service listening for network connections on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected. 
 .
 This package provides the development library and its headers.

Package: libfko1-dbg
Architecture: linux-any
Section: debug
Depends: libfko1 (= ${binary:Version}), ${misc:Depends}
Description: FireWall KNock OPerator - debugging symbols
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, so there is no service listening for network connections on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected. 
 .
 This package provides the debugging symbols for the library as well as for
 the fwknop server and client programs (C version only).

Package: libfko1
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FireWall KNock OPerator - shared library
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, so there is no service listening for network connections on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected. 
 .
 This package provides the runtime library for fwknop (written inC).

Package: libfko-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: FireWall KNock OPerator - documentation
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, so there is no service listening for network connections on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected. 
 .
 This package provides the library documentation.

Package: libfko-perl
Section: perl
Architecture: linux-any
Depends: ${perl:Depends},  libfko1 (= ${binary:Version}), ${shlibs:Depends},
 ${misc:Depends}
Description: FireWall KNock OPerator - Perl module
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, so there is no service listening for network connections on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected. 
 .
 This package provides the FKO module as a Perl interface.

Package: fwknop-server
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfko1 (= ${binary:Version}),
 default-mta | mail-transport-agent, iptables, lsb-base (>= 3.0-6)
Description: FireWall KNock OPerator server side - C version
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, thus preventing any connections from being processed on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected.

Package: fwknop-client
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfko1 (= ${binary:Version})
Description: FireWall KNock OPerator client side - C version
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 This is the client program responsible for accepting password input
 from the user, constructing SPA packets that conform to the fwknop
 packet format, and encrypting packet data.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH        := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --build $(DEB_HOST_GNU_TYPE)
else
    confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

TMP_LIBFKOPERL     = $(CURDIR)/debian/libfko-perl
LIB_LIBFKODEV      = usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf m4

override_dh_auto_configure:
	mkdir m4
	chmod +x ./debian/autogen.sh
	./debian/autogen.sh
	dh_auto_configure -- $(confflags) --with-gpgme

override_dh_auto_build:
	dh_auto_build
	cd perl/FKO && perl Makefile.PL INSTALLDIRS=vendor
	make -C perl/FKO
	make -C doc html

override_dh_auto_install:
	dh_auto_install
	cd perl/FKO && $(MAKE) install DESTDIR=$(TMP_LIBFKOPERL) PREFIX=/usr
	chrpath -d $(TMP_LIBFKOPERL)/usr/lib/perl5/auto/FKO/FKO.so

override_dh_link:
	dh_link -plibfko1-dev $(LIB_LIBFKODEV)/libfko.so.1.0.0 $(LIB_LIBFKODEV)/libfko.so
	dh_link --remaining-packages

override_dh_fixperms:
	chmod 600 $(CURDIR)/debian/fwknop-server/etc/fwknop/access.conf
	chmod 600 $(CURDIR)/debian/fwknop-server/etc/fwknop/fwknopd.conf
	dh_fixperms --exclude access.conf --exclude fwknopd.conf

override_dh_strip:
	dh_strip --dbg-package=libfko1-dbg

## fwknop 2.5.1

=== debian/changelog ===
fwknop (2.5.1-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Franck Joncourt <franck@debian.org>  Mon, 29 Jul 2013 19:12:59 +0200

fwknop (2.5.1-1) unstable; urgency=low

  * Imported Upstream version 2.5.1

 -- Franck Joncourt <franck@debian.org>  Sun, 28 Jul 2013 19:05:04 +0200

fwknop (2.5-1) unstable; urgency=low

  * Imported Upstream version 2.5
    - libfko breaks the old ABI. It is bumped from 1.0.0 up to 2.0.0
      old packages libfko1* are renamed as libfko2*.
      Updated d.rules to make reference to the new packages.
    - Patch gpl2.0.diff applied upstream: Removed it from the patches
      directory.
    - New python binding

  * The new upstream release add a m4 file to the m4 directory.
    d.rules: assume the m4 directory is created ; no need to remove it in the
    clean target and no need to create it in the configure target anymore.
  * Fixed vcs fields in d.control to use the canonical URI.
    (Caught by lintian).
  * Fixed documentation spelling error (s/GNU Public/GNU General Public/g)
    through a new patch 0001_fix-doc.patch.
  * Removed useless depdencies default-mta | mail-transport-agent on
    fwknop-server in d.rules.
  * Used CFLAGS, CPPFLAGS and LDFLAGS variables to enable the hardening flags
    to build the libfko-perl binding.
  * Bumped up Standards-Version to 3.9.4 - no changes.
  * Packaged the libfko python binding:
    - d.control: Set X-Python-Version to >= 2.7 and added BD on python-all-dev
                 Defined the brand new libfko-python binding.
    - d.rules: Used dh_python2 debhelper
               Added new instances to build and install libfko-python

 -- Franck Joncourt <franck@debian.org>  Tue, 23 Jul 2013 21:08:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: extra
 Build-Depends: debhelper (>= 9), automake, libtool, libgpgme11-dev,
  texinfo, libpcap0.8-dev, po-debconf, libgdbm-dev, iptables,
- dpkg-dev (>= 1.16.1~), chrpath
+ dpkg-dev (>= 1.16.1~), chrpath, python-all-dev
 Maintainer: Franck Joncourt <franck@debian.org>
-Standards-Version: 3.9.3
-Vcs-git: git://git.debian.org/git/collab-maint/fwknop.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/fwknop.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/fwknop.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fwknop.git;a=summary
 Homepage: http://www.cipherdyne.com/fwknop/
+X-Python-Version: >= 2.7
 
-Package: libfko1-dev
+Package: libfko2-dev
 Architecture: linux-any
 Section: libdevel
 Provides: libfko-dev
 Conflicts: libfko-dev
 Suggests: libfko-doc
-Depends: ${shlibs:Depends}, libfko1 (= ${binary:Version}), ${misc:Depends},
+Depends: ${shlibs:Depends}, libfko2 (= ${binary:Version}), ${misc:Depends},
  dpkg (>= 1.15.4) | install-info
 Description: FireWall KNock OPerator - developpement library
  The FireWall KNock OPerator implements an authorization scheme called
@@ -33,10 +34,10 @@
  .
  This package provides the development library and its headers.
 
-Package: libfko1-dbg
+Package: libfko2-dbg
 Architecture: linux-any
 Section: debug
-Depends: libfko1 (= ${binary:Version}), ${misc:Depends}
+Depends: libfko2 (= ${binary:Version}), ${misc:Depends}
 Description: FireWall KNock OPerator - debugging symbols
  The FireWall KNock OPerator implements an authorization scheme called
  Single Packet Authorization (SPA), based on Netfilter and libpcap.
@@ -53,7 +54,7 @@
  This package provides the debugging symbols for the library as well as for
  the fwknop server and client programs (C version only).
 
-Package: libfko1
+Package: libfko2
 Section: libs
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
@@ -95,7 +96,7 @@
 Package: libfko-perl
 Section: perl
 Architecture: linux-any
-Depends: ${perl:Depends},  libfko1 (= ${binary:Version}), ${shlibs:Depends},
+Depends: ${perl:Depends},  libfko2 (= ${binary:Version}), ${shlibs:Depends},
  ${misc:Depends}
 Description: FireWall KNock OPerator - Perl module
  The FireWall KNock OPerator implements an authorization scheme called
@@ -114,8 +115,8 @@
 
 Package: fwknop-server
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libfko1 (= ${binary:Version}),
- default-mta | mail-transport-agent, iptables, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfko2 (= ${binary:Version}),
+ iptables, lsb-base (>= 3.0-6)
 Description: FireWall KNock OPerator server side - C version
  The FireWall KNock OPerator implements an authorization scheme called
  Single Packet Authorization (SPA), based on Netfilter and libpcap.
@@ -131,7 +132,7 @@
 
 Package: fwknop-client
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libfko1 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfko2 (= ${binary:Version})
 Description: FireWall KNock OPerator client side - C version
  The FireWall KNock OPerator implements an authorization scheme called
  Single Packet Authorization (SPA), based on Netfilter and libpcap.
@@ -143,3 +144,23 @@
  This is the client program responsible for accepting password input
  from the user, constructing SPA packets that conform to the fwknop
  packet format, and encrypting packet data.
+
+Package: libfko-python
+Section: python
+Architecture: linux-any
+Depends: ${python:Depends}, ${misc:Depends}, libfko2 (= ${binary:Version}),
+ ${shlibs:Depends}
+Description: FireWall KNock OPerator - Python module
+ The FireWall KNock OPerator implements an authorization scheme called
+ Single Packet Authorization (SPA), based on Netfilter and libpcap.
+ .
+ Its main application is to protect services such as OpenSSH with
+ an additional layer of security in order to make the exploitation of
+ vulnerabilities (both 0-day and unpatched code) much more difficult.
+ .
+ The authorization server passively listens for authorization packets via
+ libcap, so there is no service listening for network connections on the
+ traditional port. Access to a protected service is only granted after a
+ valid encrypted and non-replayed packet is detected.
+ .
+ This package provides the FKO module as a Python interface.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEB_HOST_MULTIARCH        := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
CFLAGS                    := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS                  := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS                   := $(shell dpkg-buildflags --get LDFLAGS)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --build $(DEB_HOST_GNU_TYPE)
else
    confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

TMP_LIBFKOPERL     = $(CURDIR)/debian/libfko-perl
LIB_LIBFKODEV      = usr/lib/$(DEB_HOST_MULTIARCH)

TMP_LIBFKOPYTHON   = $(CURDIR)/debian/libfko-python

%:
	dh $@ --with=python2

override_dh_auto_clean:
	dh_auto_clean
#	rm -rf m4

override_dh_auto_configure:
#	mkdir m4
	chmod +x ./debian/autogen.sh
	./debian/autogen.sh
	dh_auto_configure -- $(confflags) --with-gpgme

override_dh_auto_build:
	dh_auto_build
	cd perl/FKO && perl Makefile.PL INSTALLDIRS=vendor
	make -C perl/FKO OPTIMIZE="$(CFLAGS) $(CPPFLAGS)" OTHERLDFLAGS="$(LDFLAGS)"
	make -C doc html
	cd python && python setup.py build

override_dh_auto_install:
	dh_auto_install
	cd perl/FKO && $(MAKE) install DESTDIR=$(TMP_LIBFKOPERL) PREFIX=/usr
	chrpath -d $(TMP_LIBFKOPERL)/usr/lib/perl5/auto/FKO/FKO.so
	cd python && python setup.py install --root=$(TMP_LIBFKOPYTHON) --install-layout=deb

override_dh_link:
	dh_link -plibfko2-dev $(LIB_LIBFKODEV)/libfko.so.2.0.0 $(LIB_LIBFKODEV)/libfko.so
	dh_link --remaining-packages

override_dh_fixperms:
	chmod 600 $(CURDIR)/debian/fwknop-server/etc/fwknop/access.conf
	chmod 600 $(CURDIR)/debian/fwknop-server/etc/fwknop/fwknopd.conf
	dh_fixperms --exclude access.conf --exclude fwknopd.conf

override_dh_strip:
	dh_strip --dbg-package=libfko2-dbg
